> ## Documentation Index
> Fetch the complete documentation index at: https://floppydata.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Usage

> Returns account-level usage across products with usage reporting as UTC period rollups. If from or to is supplied, product usage also includes requestedRange. Static proxies are inventory-only and are not included in usage responses.

<Note>
  Usage responses include `yesterday`, `last7Days`, `last30Days`, `lastUpdatedAt`, and `requestedRange` when `from` or `to` is supplied.
</Note>


## OpenAPI

````yaml api-reference/openapi.json GET /v2/account/usage
openapi: 3.1.0
info:
  title: Floppydata Client API
  description: >-
    Client API v2 for Web Data, proxy products, proxy tools, and account
    rollups. You can manage your API keys in [API
    keys](https://app.floppydata.com/api-keys).
  version: 2.0.0
servers:
  - url: https://api.floppydata.net
    description: Production
security:
  - apiKeyHeader: []
tags:
  - name: Web Data
    description: Fetch pages and inspect Web Data balance and usage.
  - name: Proxy
    description: Proxy tools shared across proxy products.
  - name: Rotating Proxy
    description: Rotating proxy subusers, connections, locations, balance, and usage.
  - name: Static Proxy
    description: Static proxy inventory for the authenticated account.
  - name: Account
    description: Account-level balance and usage rollups across available products.
  - name: Cloud Browser
    description: |-
      Session-first cloud browsers with persistent settings under the hood.
                  Create a session, connect using the returned WebSocket URL, then navigate with Playwright or Puppeteer. Reuse settings.id to restore the same identity and browser state.
paths:
  /v2/account/usage:
    get:
      tags:
        - Account
      summary: Get account usage
      description: >-
        Returns account-level usage across products with usage reporting as UTC
        period rollups. If from or to is supplied, product usage also includes
        requestedRange. Static proxies are inventory-only and are not included
        in usage responses.
      operationId: getAccountUsage
      parameters:
        - in: query
          name: product
          schema:
            type: string
            enum:
              - web-data
              - proxy-rotating
        - in: query
          name: from
          schema:
            example: '2025-01-27T00:00:00Z'
            anyOf:
              - type: string
                format: date
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
              - type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
          description: Date or datetime in RFC 3339 format
        - in: query
          name: to
          schema:
            example: '2025-12-28'
            anyOf:
              - type: string
                format: date
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
              - type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
          description: Date or datetime in RFC 3339 format
        - in: query
          name: poolId
          schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 9007199254740991
            example: 123
          description: Proxy pool ID. Applies to rotating proxy usage.
        - in: query
          name: countryCode
          schema:
            example: US
            type: string
            pattern: ^[a-zA-Z]{2}$
          description: 2-letter country code. Applies to rotating proxy usage.
        - in: query
          name: proxyType
          schema:
            type: string
            enum:
              - residential
              - mobile
              - datacenter
            example: residential
          description: Rotating proxy type. Applies to rotating proxy usage.
      responses:
        '200':
          description: Account usage across available products.
          content:
            application/json:
              schema:
                type: object
                properties:
                  webData:
                    type: object
                    properties:
                      requests:
                        type: object
                        properties:
                          yesterday:
                            type: object
                            properties:
                              total:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 30
                              successful:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 28
                              failed:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 2
                            required:
                              - total
                              - successful
                              - failed
                          last7Days:
                            type: object
                            properties:
                              total:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 30
                              successful:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 28
                              failed:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 2
                            required:
                              - total
                              - successful
                              - failed
                          last30Days:
                            type: object
                            properties:
                              total:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 30
                              successful:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 28
                              failed:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 2
                            required:
                              - total
                              - successful
                              - failed
                          requestedRange:
                            description: >-
                              Usage for the requested from/to range. Present
                              only when from or to is supplied.
                            type: object
                            properties:
                              total:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 30
                              successful:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 28
                              failed:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                                example: 2
                            required:
                              - total
                              - successful
                              - failed
                        required:
                          - yesterday
                          - last7Days
                          - last30Days
                      lastUpdatedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - requests
                      - lastUpdatedAt
                  proxy:
                    type: object
                    properties:
                      rotating:
                        anyOf:
                          - type: object
                            properties:
                              traffic:
                                type: object
                                properties:
                                  yesterday:
                                    type: object
                                    properties:
                                      totalBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 10737418240
                                      totalGb:
                                        type: number
                                        minimum: 0
                                        example: 10
                                      txBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 5368709120
                                      rxBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 5368709120
                                    required:
                                      - totalBytes
                                      - totalGb
                                      - txBytes
                                      - rxBytes
                                  last7Days:
                                    type: object
                                    properties:
                                      totalBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 10737418240
                                      totalGb:
                                        type: number
                                        minimum: 0
                                        example: 10
                                      txBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 5368709120
                                      rxBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 5368709120
                                    required:
                                      - totalBytes
                                      - totalGb
                                      - txBytes
                                      - rxBytes
                                  last30Days:
                                    type: object
                                    properties:
                                      totalBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 10737418240
                                      totalGb:
                                        type: number
                                        minimum: 0
                                        example: 10
                                      txBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 5368709120
                                      rxBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 5368709120
                                    required:
                                      - totalBytes
                                      - totalGb
                                      - txBytes
                                      - rxBytes
                                  requestedRange:
                                    description: >-
                                      Usage for the requested from/to range.
                                      Present only when from or to is supplied.
                                    type: object
                                    properties:
                                      totalBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 10737418240
                                      totalGb:
                                        type: number
                                        minimum: 0
                                        example: 10
                                      txBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 5368709120
                                      rxBytes:
                                        type: integer
                                        minimum: 0
                                        maximum: 9007199254740991
                                        example: 5368709120
                                    required:
                                      - totalBytes
                                      - totalGb
                                      - txBytes
                                      - rxBytes
                                required:
                                  - yesterday
                                  - last7Days
                                  - last30Days
                              lastUpdatedAt:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - traffic
                              - lastUpdatedAt
                          - type: 'null'
                  lastUpdatedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Most recent usage timestamp across included products.
                    example: '2026-06-10T12:00:00.000Z'
                  filters:
                    type: object
                    properties:
                      from:
                        example: '2025-01-27T00:00:00.000Z'
                        type: string
                      to:
                        example: '2025-12-28T23:59:59.999Z'
                        type: string
                      poolId:
                        type: integer
                        exclusiveMinimum: 0
                        maximum: 9007199254740991
                        example: 123
                      countryCode:
                        type: string
                        minLength: 2
                        maxLength: 2
                        example: US
                      proxyType:
                        type: string
                        enum:
                          - residential
                          - mobile
                          - datacenter
                        description: Proxy type
                        example: residential
                required:
                  - lastUpdatedAt
                  - filters
              example:
                webData:
                  requests:
                    yesterday:
                      total: 3
                      successful: 2
                      failed: 1
                    last7Days:
                      total: 30
                      successful: 28
                      failed: 2
                    last30Days:
                      total: 120
                      successful: 112
                      failed: 8
                    requestedRange:
                      total: 30
                      successful: 28
                      failed: 2
                  lastUpdatedAt: '2026-06-10T12:00:00.000Z'
                proxy:
                  rotating:
                    traffic:
                      yesterday:
                        totalBytes: 1073741824
                        totalGb: 1
                        txBytes: 536870912
                        rxBytes: 536870912
                      last7Days:
                        totalBytes: 10737418240
                        totalGb: 10
                        txBytes: 5368709120
                        rxBytes: 5368709120
                      last30Days:
                        totalBytes: 32212254720
                        totalGb: 30
                        txBytes: 16106127360
                        rxBytes: 16106127360
                      requestedRange:
                        totalBytes: 10737418240
                        totalGb: 10
                        txBytes: 5368709120
                        rxBytes: 5368709120
                    lastUpdatedAt: '2026-06-10T11:00:00.000Z'
                lastUpdatedAt: '2026-06-10T12:00:00.000Z'
                filters:
                  from: '2025-01-27T00:00:00.000Z'
                  to: '2025-12-28T23:59:59.999Z'
                  countryCode: US
                  proxyType: residential
        '400':
          description: The request body or query parameters are invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                          - forbidden
                          - invalid_request
                          - insufficient_balance
                          - account_not_configured
                          - not_found
                          - settings_in_use
                          - settings_limit_reached
                          - session_not_active
                          - connection_in_use
                          - upstream_error
                          - internal_error
                      message:
                        type: string
                        example: Invalid request parameters.
                      details:
                        type: object
                        properties:
                          target:
                            example: settings.id
                            type: string
                          recoveryHint:
                            example: >-
                              Stop the active session before reusing these
                              settings.
                            type: string
                          activeSessionId:
                            example: 58e531ee-16ca-49d0-8722-b425d154cc10
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          nextOperationId:
                            example: stopBrowserSession
                            type: string
                          requestId:
                            example: a1901a29e82a999f-CDG
                            type: string
                          upstreamStatus:
                            example: 503
                            type: integer
                            minimum: 100
                            maximum: 599
                          failureStage:
                            example: provider_browser_start
                            type: string
                          diagnosticCode:
                            example: token_sign_failed
                            type: string
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - details
                required:
                  - error
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters.
                  details:
                    issues:
                      - path: country
                        code: invalid_format
                        message: Expected a 2-letter country code.
        '401':
          description: The API key is missing, invalid, or expired.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                          - forbidden
                          - invalid_request
                          - insufficient_balance
                          - account_not_configured
                          - not_found
                          - settings_in_use
                          - settings_limit_reached
                          - session_not_active
                          - connection_in_use
                          - upstream_error
                          - internal_error
                      message:
                        type: string
                        example: Invalid request parameters.
                      details:
                        type: object
                        properties:
                          target:
                            example: settings.id
                            type: string
                          recoveryHint:
                            example: >-
                              Stop the active session before reusing these
                              settings.
                            type: string
                          activeSessionId:
                            example: 58e531ee-16ca-49d0-8722-b425d154cc10
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          nextOperationId:
                            example: stopBrowserSession
                            type: string
                          requestId:
                            example: a1901a29e82a999f-CDG
                            type: string
                          upstreamStatus:
                            example: 503
                            type: integer
                            minimum: 100
                            maximum: 599
                          failureStage:
                            example: provider_browser_start
                            type: string
                          diagnosticCode:
                            example: token_sign_failed
                            type: string
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - details
                required:
                  - error
              example:
                error:
                  code: unauthorized
                  message: Unauthorized
                  details: {}
        '402':
          description: The account does not have enough balance for this request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                          - forbidden
                          - invalid_request
                          - insufficient_balance
                          - account_not_configured
                          - not_found
                          - settings_in_use
                          - settings_limit_reached
                          - session_not_active
                          - connection_in_use
                          - upstream_error
                          - internal_error
                      message:
                        type: string
                        example: Invalid request parameters.
                      details:
                        type: object
                        properties:
                          target:
                            example: settings.id
                            type: string
                          recoveryHint:
                            example: >-
                              Stop the active session before reusing these
                              settings.
                            type: string
                          activeSessionId:
                            example: 58e531ee-16ca-49d0-8722-b425d154cc10
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          nextOperationId:
                            example: stopBrowserSession
                            type: string
                          requestId:
                            example: a1901a29e82a999f-CDG
                            type: string
                          upstreamStatus:
                            example: 503
                            type: integer
                            minimum: 100
                            maximum: 599
                          failureStage:
                            example: provider_browser_start
                            type: string
                          diagnosticCode:
                            example: token_sign_failed
                            type: string
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - details
                required:
                  - error
              example:
                error:
                  code: insufficient_balance
                  message: Insufficient proxy traffic balance.
                  details: {}
        '403':
          description: The API key does not grant access to this operation.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                          - forbidden
                          - invalid_request
                          - insufficient_balance
                          - account_not_configured
                          - not_found
                          - settings_in_use
                          - settings_limit_reached
                          - session_not_active
                          - connection_in_use
                          - upstream_error
                          - internal_error
                      message:
                        type: string
                        example: Invalid request parameters.
                      details:
                        type: object
                        properties:
                          target:
                            example: settings.id
                            type: string
                          recoveryHint:
                            example: >-
                              Stop the active session before reusing these
                              settings.
                            type: string
                          activeSessionId:
                            example: 58e531ee-16ca-49d0-8722-b425d154cc10
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          nextOperationId:
                            example: stopBrowserSession
                            type: string
                          requestId:
                            example: a1901a29e82a999f-CDG
                            type: string
                          upstreamStatus:
                            example: 503
                            type: integer
                            minimum: 100
                            maximum: 599
                          failureStage:
                            example: provider_browser_start
                            type: string
                          diagnosticCode:
                            example: token_sign_failed
                            type: string
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - details
                required:
                  - error
              example:
                error:
                  code: forbidden
                  message: Forbidden
                  details: {}
        '404':
          description: The requested resource is not available.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                          - forbidden
                          - invalid_request
                          - insufficient_balance
                          - account_not_configured
                          - not_found
                          - settings_in_use
                          - settings_limit_reached
                          - session_not_active
                          - connection_in_use
                          - upstream_error
                          - internal_error
                      message:
                        type: string
                        example: Invalid request parameters.
                      details:
                        type: object
                        properties:
                          target:
                            example: settings.id
                            type: string
                          recoveryHint:
                            example: >-
                              Stop the active session before reusing these
                              settings.
                            type: string
                          activeSessionId:
                            example: 58e531ee-16ca-49d0-8722-b425d154cc10
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          nextOperationId:
                            example: stopBrowserSession
                            type: string
                          requestId:
                            example: a1901a29e82a999f-CDG
                            type: string
                          upstreamStatus:
                            example: 503
                            type: integer
                            minimum: 100
                            maximum: 599
                          failureStage:
                            example: provider_browser_start
                            type: string
                          diagnosticCode:
                            example: token_sign_failed
                            type: string
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - details
                required:
                  - error
              example:
                error:
                  code: not_found
                  message: Rotating proxy credential was not found.
                  details: {}
        '409':
          description: The authenticated account is not configured for this product.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                          - forbidden
                          - invalid_request
                          - insufficient_balance
                          - account_not_configured
                          - not_found
                          - settings_in_use
                          - settings_limit_reached
                          - session_not_active
                          - connection_in_use
                          - upstream_error
                          - internal_error
                      message:
                        type: string
                        example: Invalid request parameters.
                      details:
                        type: object
                        properties:
                          target:
                            example: settings.id
                            type: string
                          recoveryHint:
                            example: >-
                              Stop the active session before reusing these
                              settings.
                            type: string
                          activeSessionId:
                            example: 58e531ee-16ca-49d0-8722-b425d154cc10
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          nextOperationId:
                            example: stopBrowserSession
                            type: string
                          requestId:
                            example: a1901a29e82a999f-CDG
                            type: string
                          upstreamStatus:
                            example: 503
                            type: integer
                            minimum: 100
                            maximum: 599
                          failureStage:
                            example: provider_browser_start
                            type: string
                          diagnosticCode:
                            example: token_sign_failed
                            type: string
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - details
                required:
                  - error
              example:
                error:
                  code: account_not_configured
                  message: Account is not configured for proxy products.
                  details: {}
        '500':
          description: An unexpected server error occurred.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                          - forbidden
                          - invalid_request
                          - insufficient_balance
                          - account_not_configured
                          - not_found
                          - settings_in_use
                          - settings_limit_reached
                          - session_not_active
                          - connection_in_use
                          - upstream_error
                          - internal_error
                      message:
                        type: string
                        example: Invalid request parameters.
                      details:
                        type: object
                        properties:
                          target:
                            example: settings.id
                            type: string
                          recoveryHint:
                            example: >-
                              Stop the active session before reusing these
                              settings.
                            type: string
                          activeSessionId:
                            example: 58e531ee-16ca-49d0-8722-b425d154cc10
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          nextOperationId:
                            example: stopBrowserSession
                            type: string
                          requestId:
                            example: a1901a29e82a999f-CDG
                            type: string
                          upstreamStatus:
                            example: 503
                            type: integer
                            minimum: 100
                            maximum: 599
                          failureStage:
                            example: provider_browser_start
                            type: string
                          diagnosticCode:
                            example: token_sign_failed
                            type: string
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - details
                required:
                  - error
              example:
                error:
                  code: internal_error
                  message: Internal Server Error
                  details: {}
        '502':
          description: An upstream service failed while processing the request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                          - forbidden
                          - invalid_request
                          - insufficient_balance
                          - account_not_configured
                          - not_found
                          - settings_in_use
                          - settings_limit_reached
                          - session_not_active
                          - connection_in_use
                          - upstream_error
                          - internal_error
                      message:
                        type: string
                        example: Invalid request parameters.
                      details:
                        type: object
                        properties:
                          target:
                            example: settings.id
                            type: string
                          recoveryHint:
                            example: >-
                              Stop the active session before reusing these
                              settings.
                            type: string
                          activeSessionId:
                            example: 58e531ee-16ca-49d0-8722-b425d154cc10
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          nextOperationId:
                            example: stopBrowserSession
                            type: string
                          requestId:
                            example: a1901a29e82a999f-CDG
                            type: string
                          upstreamStatus:
                            example: 503
                            type: integer
                            minimum: 100
                            maximum: 599
                          failureStage:
                            example: provider_browser_start
                            type: string
                          diagnosticCode:
                            example: token_sign_failed
                            type: string
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - details
                required:
                  - error
              example:
                error:
                  code: upstream_error
                  message: Failed to fetch data from an upstream service.
                  details:
                    upstreamStatus: 503
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      in: header
      name: X-Api-Key
      description: Client API key for the authenticated account.

````